Runtime

## org.eclipse.gmf.runtime.notation.impl
Class StringToPropertyValueMapEntryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
                      org.eclipse.gmf.runtime.notation.impl.StringToPropertyValueMapEntryImpl

All Implemented Interfaces:
  java.util.Map.Entry, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.common.util.BasicEMap.Entry, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class StringToPropertyValueMapEntryImpl

extends NotationEObjectImpl
implements org.eclipse.emf.common.util.BasicEMap.Entry

An implementation of the model object 'String To Property Value Map Entry'.

The following features are implemented:

- `Key`
- `Value`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected int` `hash`
`protected java.lang.String` `key` The cached value of the '`Key`' attribute
`protected static java.lang.String` `KEY_EDEFAULT` The default value of the '`Key`' attribute
`protected PropertyValue` `value` The cached value of the '`Value`' containment reference

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
`eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `StringToPropertyValueMapEntryImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTypedValue(PropertyValue newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EMap` `getEMap()`
`int` `getHash()`
`java.lang.Object` `getKey()`
`java.lang.String` `getTypedKey()`
`PropertyValue` `getTypedValue()`
`java.lang.Object` `getValue()`
`void` `setHash(int hash)`
`void` `setKey(java.lang.Object key)`
`void` `setTypedKey(java.lang.String newKey)`
`void` `setTypedValue(PropertyValue newValue)`
`java.lang.Object` `setValue(java.lang.Object value)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### KEY_EDEFAULT

    protected static final java.lang.String KEY_EDEFAULT

  The default value of the '`Key`' attribute.

  See Also:
    `getTypedKey()`
  ** Generated **
  Ordered:

### key

    protected java.lang.String key

  The cached value of the '`Key`' attribute.

  See Also:
    `getTypedKey()`
  ** Generated **
  Ordered:

### value

    protected PropertyValue value

  The cached value of the '`Value`' containment reference.

  See Also:
    `getTypedValue()`
  ** Generated **
  Ordered:

### hash

    protected int hash

  ** Generated **

Constructor Detail

### StringToPropertyValueMapEntryImpl

    protected StringToPropertyValueMapEntryImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`
  ** Generated **

### getTypedKey

    public java.lang.String getTypedKey()

  ** Generated **

### setTypedKey

    public void setTypedKey(java.lang.String newKey)

  ** Generated **

### getTypedValue

    public PropertyValue getTypedValue()

  ** Generated **

### basicSetTypedValue

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypedValue(PropertyValue newValue,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setTypedValue

    public void setTypedValue(PropertyValue newValue)

  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### getHash

    public int getHash()

  Specified by:
    `getHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry`
  ** Generated **

### setHash

    public void setHash(int hash)

  Specified by:
    `setHash` in interface `org.eclipse.emf.common.util.BasicEMap.Entry`
  ** Generated **

### getKey

    public java.lang.Object getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry`
  ** Generated **

### setKey

    public void setKey(java.lang.Object key)

  Specified by:
    `setKey` in interface `org.eclipse.emf.common.util.BasicEMap.Entry`
  ** Generated **

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry`
  ** Generated **

### setValue

    public java.lang.Object setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry`
  ** Generated **

### getEMap

    public org.eclipse.emf.common.util.EMap getEMap()

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.